org.appng.core.xml.repository

## Class GetPackageResponse

- java.lang.Object
- - org.appng.core.xml.repository.GetPackageResponse

-     public class GetPackageResponse
      extends Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="checksum" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="data" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
               <element name="file-name" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `checksum`
    `protected byte[]` | `data`
    `protected String` | `fileName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetPackageResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getChecksum()` Gets the value of the checksum property.
    `byte[]` | `getData()` Gets the value of the data property.
    `String` | `getFileName()` Gets the value of the fileName property.
    `void` | `setChecksum(String value)` Sets the value of the checksum property.
    `void` | `setData(byte[] value)` Sets the value of the data property.
    `void` | `setFileName(String value)` Sets the value of the fileName property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### checksum

          protected String checksum

    - #### data

          protected byte[] data

    - #### fileName

          protected String fileName

  - ### Constructor Detail

    - #### GetPackageResponse

          public GetPackageResponse()

  - ### Method Detail

    - #### getChecksum

          public String getChecksum()

      Gets the value of the checksum property.
      Returns:
        possible object is `String`

    - #### setChecksum

          public void setChecksum(String value)

      Sets the value of the checksum property.
      Parameters:
        `value` - allowed object is `String`

    - #### getData

          public byte[] getData()

      Gets the value of the data property.
      Returns:
        possible object is byte[]

    - #### setData

          public void setData(byte[] value)

      Sets the value of the data property.
      Parameters:
        `value` - allowed object is byte[]

    - #### getFileName

          public String getFileName()

      Gets the value of the fileName property.
      Returns:
        possible object is `String`

    - #### setFileName

          public void setFileName(String value)

      Sets the value of the fileName property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.